# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 

%define _altdata_dir %_datadir/alterator

Name: alterator-datetime
Version: 0.8
Release: alt3.M41.6

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for date/time setup
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 3.9-alt8.M41.3
Requires: alterator-sh-functions >= 0.8-alt0.M41.1
Requires: openntpd
Conflicts: alterator-browser-qt < 2.9.93
Conflicts: alterator-fbi < 2.11-alt0.M41.2
Conflicts: alterator-lookout < 1.2-alt3.M41.1

Provides: alterator-openntpd = %version
Obsoletes: alterator-openntpd

BuildPreReq: alterator >= 3.9-alt8.M41.3
BuildPreReq: alterator-fbi >= 2.11-alt0.M41.2
BuildPreReq: alterator-l10n >= 0.9-alt14.M41.1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for date/time setup

%prep
%setup -q

%build
%make_build

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_datadir/alterator/applications/*
%_datadir/alterator/templates/*
%_datadir/alterator/ui/*/
%_datadir/alterator/help/*/*
%_alterator_backend3dir/*
%_datadir/install2/preinstall.d/*

%changelog
* Wed Jan 28 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.6
- move to Categories=X-Alterator-System

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.5
- update help, rebuild with new l10n

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.4
- fix qt ui

* Thu Nov 06 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.3
- fix requires - 2

* Wed Nov 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.2
- fix requires

* Sat Nov 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.1
- build for 4.1

* Fri Oct 31 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt4
- fix help file

* Thu Oct 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt3
- backend: alterator_api_version=1
- remove /std/functions and with-translation
- little ui improvements
- use "value" attribute for datedit and timeedit.

* Mon Sep 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt2
- improve type error messages

* Fri Sep 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt1
- replace constraints with types

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt0.M41.1
- build for 4.1

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- update help (cas@)
- remove <h1> and <title>

* Tue Aug 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1.M41.1
- build for 4.1

* Fri Jun 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- html: use dateedit widget
- remove hardcoded design

* Fri Jun 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- html: use timeedit widget

* Mon Jun 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- rename effect-init to init-effect

* Fri Jun 20 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt4
- fix requires
- invert disable logic in scm version

* Thu Jun 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- use effect-disable

* Wed Jun 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2.1
- hotfix

* Wed Jun 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- remove pot-file
- use module.mak
- preliminary support for 'disable' effect

* Tue May 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- remove html-messages.mak
- join to common translation database
- use write_string_param

* Mon Apr 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- fix obsoletes (#15245)

* Fri Apr 04 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- update help

* Thu Apr 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- replace alterator-openntpd

* Tue Mar 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- remove template-*

* Sat Jan 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- update to new help system

* Thu Oct 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- fix preinstall script (was error exit code when ntpd is not installed on target system)

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- Add Ukrainian translation to desktop file

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- Add installer hooks

* Mon Sep 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- overwrite both servers and pools

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4.1
- hotfix: reset qt clock value after save

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- move utc checkbox to tzone module

* Tue Jul 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- a separate step in installer now

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix menu translation

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add desktop file
- use std woo-list/name+label function

* Fri Jun 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2.2
- another code from installer (ntp light)
- add ui
- add help

* Thu Jun 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2.1
- more translations

* Thu May 31 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt2
- Fix: move scripts to the subdirectory.

* Fri May 25 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt1
- Initial release
